Name:       centos-release-scl-rh
Version:    1
Release:    2%{?dist}
Epoch:      666
Summary:    Software collections from the CentOS SCLo SIG (upstream scl only)

License:    GPLv2
URL:        http://wiki.centos.org/SpecialInterestGroup/SCLo
Source0:    CentOS-SCLo.repo
Source3:    CentOS-SCLo-Sources.repo
Source4:    CentOS-SCLo-Debuginfo.repo
Source1:    RPM-GPG-KEY-CentOS-SIG-SCLo
Source2:    GPL

BuildArch: noarch

Requires:   system-release

%description
yum Configs and basic docs for Software Collections as delivered via the CentOS SCLo SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-SCLo-scl-rh.repo
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-SCLo-scl-rh-Sources.repo
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-SCLo-scl-Debuginfo.repo

sed -i -e "s/SCLGROUP/rh/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-SCLo-scl-rh.repo
sed -i -e "s/SCLGROUP/rh/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-SCLo-scl-rh-Sources.repo
install -p -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/rpm-gpg

# use a docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/centos-release-scl-rh
install -m 644 %{SOURCE2} %{buildroot}/%{_docdir}/centos-release-scl-rh

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%{_sysconfdir}/pki/rpm-gpg
%{_docdir}/centos-release-scl-rh/*

%changelog
* Tue Oct 20 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- CERN'ify the package:
   - use linuxsoft.cern.ch repositories

* Fri Oct 02 2015 Thomas Oulevey <thomas.oulevey@cern.ch>
- Initial version.
